<?php
/**
 * Created by Luiz Filho
 */

namespace SCM\Model\Repository;

use Doctrine\ORM\EntityRepository;

class Inventarioreti extends EntityRepository {

	public function codigoInventario($cdfilial, $nrorg) {

	  	$sql = "SELECT LPAD((NVL(MAX(NRINVENTRETI),0) + 1),10,'0') PROXIMOCODIGO,
            CDFILIAL
            FROM INVENTARIORETI
            WHERE CDFILIAL IN (:CDFILIAL) 
            AND LENGTH(NRINVENTRETI) = 10 
            GROUP BY CDFILIAL";

	  	$params = array(
            'CDFILIAL' => $cdfilial,
		);

        $query = $this->getEntityManager()->getConnection()->prepare($sql);
        $query->execute($params);
        $result = $query->fetchAll();

        if(empty($result)) {
            $result[] = array(
                "PROXIMOCODIGO" => "0000000001",
                "CDFILIAL" => $cdfilial
            );
        }
        
        return $result[0]['PROXIMOCODIGO'];
    }
}