<?php
/**
 * Created by Luiz Filho
 */

namespace SCM\Model\Repository;

use Doctrine\ORM\EntityRepository;
use SCM\Traits\TQuery;

class Iteminventreti extends EntityRepository {
    
    use TQuery;
    
    public function retornaProdutoInventario($nrorg, $cdfilial, $nrinvent, $cdproduto) {
        $sql = "SELECT ROWNUM, CDFILIAL, NRINVENTRETI, NRITINVENTRETI, QTITINVENTRETI, I.CDPRODUTO,
            P.NMPRODUTO, I.CDOPERINCLUSAO, I.DTINCLUSAO, I.CDOPERULTATU, I.DTULTATU
            FROM ITEMINVENTRETI I, PRODUTO P
            WHERE P.CDPRODUTO = I.CDPRODUTO
            AND I.CDFILIAL = :CDFILIAL
            AND I.CDPRODUTO = :CDPRODUTO
            AND I.NRINVENTRETI = :NRINVENTRETI
            ORDER BY P.NMPRODUTO ASC";

        $params = array(
            'NRINVENTRETI' => $nrinvent,
            'CDPRODUTO' => $cdproduto,
            'CDFILIAL' => $cdfilial
        );

        // $query = $this->getEntityManager()->getConnection()->prepare($sql);
        // $query->execute($params);
        // $result = $query->fetchAll();
        // return $result;
        return $this->createAndExecuteQueryAndBuildResponseData($this->getEntityManager(), $sql, $params);
    }
}